#ifndef CANVASWIDGET_HH
#define CANVASWIDGET_HH

#include "TQtWidget.h"

class CanvasWidget : public TQtWidget {
  Q_OBJECT;

public:
  CanvasWidget(QWidget *parent = 0);
  ~CanvasWidget() {}
  void HideObject(TObject *o);

signals:
  void MouseClicked(const QPoint &);

private slots:
  void SaveAs();

protected:
  virtual void mouseMoveEvent(QMouseEvent *e)
  {
    /// Disable TQtWidget::mouseMoveEvent() to prevent ROOT changing cursor shape.
    QWidget::mouseMoveEvent(e);
  }
 
  virtual void mouseReleaseEvent(QMouseEvent *e)
  {
    if ((e->button() == Qt::LeftButton))
      emit MouseClicked(e->pos());

    QWidget::mouseMoveEvent(e);
  }
};

#endif
